package com.ruoyi.gysl.entity.response;

import com.ruoyi.gysl.entity.response.WysmxDetail.WysmxDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 五要素模型返回体
 * @author du
 * @since 2025/3/23 13:41
 */
@Data
public class WysmxResponse {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "项目id")
    private Long xmId;

    @ApiModelProperty("要素名称")
    private String ysmc;

    @ApiModelProperty("键值列表")
    private List<WysmxDetail> list;

}
