package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.MonthInformation;

import java.util.List;

public interface MonthInformationService {
    /**
     * 分页查询月度进展信息
     *
     * @param monthInformation 查询实体
     * @return 所有数据
     */
    List<MonthInformation> selectMonthInformation(MonthInformation monthInformation);
    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    MonthInformation selectMonthInformationId(Integer id);
    /**
     * 新增数据
     *
     * @param monthInformation 查询条件实体
     * @return 新增结果
     */
    int saveMonthInformation(MonthInformation monthInformation);
    /**
     * 修改数据
     *
     * @param monthInformation 实体对象
     * @return 修改结果
     */
    int updateById(MonthInformation monthInformation);
    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除结果
     */
    int deleteMonthInformation(Integer id);
}
