package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 产业标签(GyslCybq)表实体类
 *
 * @author makejava
 * @since 2025-04-02 11:02:35
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_cybq")
@ApiModel(value="产业标签",description = "产业标签")
public class Cybq {

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
   

    @ApiModelProperty(value ="单位编码" )
    private String dwbm;
   

    @ApiModelProperty(value ="标签标记场景代码" )
    private String cjdm;
   

    @ApiModelProperty(value ="标签代码" )
    private String bqdm;
   

    @ApiModelProperty(value ="标签值编码" )
    private String bqzbm;
   

    @ApiModelProperty(value ="引用代码集编码" )
    private String yydmjbm;
   

    @ApiModelProperty(value ="引用代码集版本" )
    private String yydmjbb;
   

    @ApiModelProperty(value ="有效状态" )
    private String state;
   

    @ApiModelProperty(value ="标签注释" )
    private String bqzs;
   

    @ApiModelProperty(value ="用户类型" )
    private String yhlx;
   

    @ApiModelProperty(value ="标签标记用户" )
    private String bqbjyh;
   

    @ApiModelProperty(value ="标签标记单位" )
    private String bqbjdw;
   

    @ApiModelProperty(value ="标签状态" )
    private String bqzt;
   

    @ApiModelProperty(value ="数据来源编码" )
    private String sjlybm;
   

    @ApiModelProperty(value ="数据来源名称" )
    private String sjlymc;
   

    @ApiModelProperty(value ="数据溯源码" )
    private String sjsym;
   

    @ApiModelProperty(value ="记录状态" )
    private String jlzt;
   

    @ApiModelProperty(value ="数据记录备注" )
    private String sjjzbz;
   

    @ApiModelProperty(value ="数据创建用户" )
    private String sjcjyh;
   

    @ApiModelProperty(value ="数据创建时间" )
    private String sjcjsj;
   

    @ApiModelProperty(value ="数据修改用户" )
    private String sjxgyh;
   

    @ApiModelProperty(value ="数据修改时间" )
    private String sjxgsj;
}

