package com.ruoyi.gysl.entity.request;

import com.ruoyi.gysl.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 企业提交审核实体类
 * @author du
 * @since 2025/3/22 18:21
 */
@Data
public class AuditRequest {

    @ApiModelProperty("项目基本信息")
    private BasicInformation basicInformation;

    @ApiModelProperty("项目规划信息")
    private PlanInformation planInformation;

    @ApiModelProperty("五要素模型信息")
    private List<WysmxInformation> wysmxInformations;

    @ApiModelProperty("企业入驻信息")
    private QyrzInformation qyrzInformation;

    @ApiModelProperty("项目其他信息")
    private List<ProjectOtherInfo> projectOtherInfos;
}
