package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.Enterprise;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

/**
 * 企业基本信息(Enterprise)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 11:26:49
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {

    /**
     * 根据项目id分页查询入驻企业
     *
     * @param page       分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    Page<Enterprise> page(Page<Enterprise> page,@Param("req") ZwIdPageReq req);
}

