package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.Mx;
import com.ruoyi.gysl.entity.request.MxRequest;
import com.ruoyi.gysl.entity.request.XmzskPageReq;
import com.ruoyi.gysl.entity.request.YsUpdateReq;
import com.ruoyi.gysl.entity.response.MxPageResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 模型管理(Mx)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 13:40:36
 */
public interface MxMapper extends BaseMapper<Mx> {


    /**
     * 查询所有模型数据
     *
     * @return 所有数据
     */
    List<Mx> selectAll(@Param("req") MxRequest mxRequest);

    /**
     * 修改要素
     * @param mx
     * @return
     */
    Boolean updateYs(YsUpdateReq mx);

    /**
     * 删除要素
     */
    Boolean deleteYs(@Param("req")XmzskPageReq req);
}

