package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.WysmxInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 五要素模型信息(WysmxInformation)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-25 09:14:22
 */
public interface WysmxInformationMapper extends BaseMapper<WysmxInformation> {


    /**
     * 根据项目id查询该项目的五要素模型信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<WysmxInformation> list(@Param("req") ZwIdPageReq zwIdPageReq);
}

