package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.Fmqd;

import java.util.List;

/**
 * 负面清单管理(FmqdController)表服务接口
 *
 * @author User
 */
public interface FmqdService {

    /**
     * 分页查询负面清单数据
     *
     * @param fmqd 查询条件实体
     * @return 分页数据
     */
    public List<Fmqd> selectFmqdList(Fmqd fmqd);
    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    public Fmqd selectFmqdId(Integer id);

    /**
     * 新增数据
     *@param fmqd 实体对象
     * @return 新增结果
     */
    public int save(Fmqd fmqd);

    /**
     * 修改数据
     *
     * @param fmqd 实体对象
     * @return 修改结果
     */
    public int updateById (Fmqd fmqd);

    /**
     * 删除数据
     *
     * @param id 实体对象
     * @return 删除结果
     */
    public int deleteMapping(Integer id);

}
