package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.ProjectLegend;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.entity.response.ProjectLegendResponse;

import java.util.List;

/**
 * 项目图例(ProjectLegend)表服务接口
 *
 * @author makejava
 * @since 2025-03-19 10:12:35
 */
public interface ProjectLegendService extends IService<ProjectLegend> {

    /**
     * 根据项目id查询所有数据
     *
     * @param projectLegend 查询实体
     * @return 所有数据
     */
    List<ProjectLegendResponse> page( ZwIdPageReq projectLegend);
}

