package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.ProjectOtherInfo;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;

import java.util.List;

/**
 * 项目其他信息(ProjectOtherInfo)表服务接口
 *
 * @author makejava
 * @since 2025-03-19 10:49:22
 */
public interface ProjectOtherInfoService extends IService<ProjectOtherInfo> {

    /**
     * 根据项目id查询项目其他信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<ProjectOtherInfo> searchId(ZwIdPageReq zwIdPageReq);
}

